Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1986522 - F35FailsToInstall: nspr-devel
Summary: F35FailsToInstall: nspr-devel
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: nss
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Bob Relyea
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-07-27 17:54 UTC by Miro Hrončok
Modified: 2021-08-02 10:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-02 10:10:54 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-07-27 17:54:47 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (nss) Fails To Install in Fedora 35:

can't install nspr-devel:
  - nothing provides nspr(x86-64) = 4.31.0-1.fc35 needed by nspr-devel-4.31.0-1.fc35.1.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Bob Relyea 2021-07-27 22:09:39 UTC
rpmdev-bumpspec messes up with nss/nspr. nss/nspr uses two globals for the version number. rpmdev-bumpspec modifies the Release field directly and adds the .1 after the %{?dist} variable.

Comment 2 Miro Hrončok 2021-07-27 23:25:35 UTC
Consider defining %baserelease macro (rpmdev-bumpspec will bump the one if it sees it) and using it to calculate the values of %nspr_release and %nss_release.

E.g.:
%global baserelease 2
%global nspr_release %{lua:print(rpm.expand('%baserelease') + 0)}
%global nss_release %{lua:print(rpm.expand('%baserelease') + 1)}

Comment 3 Miro Hrončok 2021-07-27 23:28:22 UTC
Or even better, without Lua, if you only need to support RPM 4.16+:

%global baserelease 2
%global nspr_release %[%baserelease+0]
%global nss_release %[%baserelease+1]

Comment 4 Bob Relyea 2021-07-28 02:14:11 UTC
Thanks,
I only need rpm support in Fedora and RHEL 9, so i suspect 4.16+ is fine (rhel 8 still builds nss/nspr separately).

The base release offset isn't always a fixed number. If I rebase nss, but not nspr then nspr increments and nss goes to 1, however if rpmdev-bumpspec understands it then it's worth changing and doing the math myself.

Comment 5 Miro Hrončok 2021-07-28 10:50:33 UTC
I meant that rpmdev-bumpspec would always bump %baserelease and never break the package and when you rebase nss, but not nspr, then you need to adjust the +Ns manually.

Comment 6 Bob Relyea 2021-07-28 15:55:42 UTC
Thanks Miro, Once this build is complete I'll add the baserelease version.

Comment 7 Miro Hrončok 2021-08-02 10:10:54 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!


Note You need to log in before you can comment on or make changes to this bug.